package com.fshark.overseas.advert.entity.mapper;


import com.fshark.overseas.advert.entity.RegisterAccount;
import org.jdbi.v3.core.mapper.RowMapper;
import org.jdbi.v3.core.statement.StatementContext;

import java.sql.ResultSet;
import java.sql.SQLException;

public class RegisterAccountMapper implements RowMapper<RegisterAccount> {
    @Override
    public RegisterAccount map(ResultSet rs, StatementContext ctx) throws SQLException {
        return RegisterAccount.builder()
                .activationTime(rs.getString("activation_time"))
                .retargetingTime(rs.getString("retargeting_time"))
                .reg_time(rs.getString("reg_time"))
                .build();
    }
}
